Subject: preprocessor (was: RE: Re: response to And

From: "And Rosta" <[email-masked]>
Date: Fri, 6 Dec 2002 20:20:45 -0000

Nick:
> [lexer preprocessing]
> > #I think this is compatible with the baseline if you squint long 
> > enough,
> > #but frankly I'd rather that ruling be made fifty years from now 
> > I think the proposal would only work during a prescriptive phase,
> > albeit far in the future 
> 
> Which presupposes that people will still be writing parsers for Lojban 
> in 50 years. If it evolves naturally, I'd say they can't -- at least, 
> not a parser for conversational Lojban. I don't see how we can prevent 
> anyone from doing preprocessor tricks in 50 years time. I can see that 
> we won't be doing them in the next 5 

Natural language does "preprocessor tricks", using portmanteau fusions
(French "de + le > du") and ellipsis ("another (one)").

I wasn't supposing that people will literally be writing parsers. 
But they may still conceptualize the design of Lojban as a set
of rules a machine would apply to process sentences.

> [Grice Salvator: see Wiki. global squinting: what you can say about 
> lo'e merko is objectively based on the properties of all 300 million 
> Americans. local squinting: what you can say about lo'e merko is 
> subjectively based on the properties of the Americans you actually 
> know. I think. But I haven't gone through jboske list yet.]

One could write a nice jboskebot counterpart to the chomskybot:
"Grice Salvator allows goatleg glorking via local squinting", say.

--And.